<?php
/*---------------------------------------------+
| CheAlt1 Theme for PHP-Fusion v7             |
| version 1.0                                  |
|----------------------------------------------|
| author: kot2007   2008                      |
| web: http://www.agrosoft.com.ua              |
| e-mail: koot2007@mail.ru                     |
|----------------------------------------------|
| Released under the terms and conditions      |
| of the Affero GPLv3GNU                       |
+---------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $aidlink, $settings, $main_style, $locale, $userdata;

	//Header
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	echo "<td>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header' width='".THEME_WIDTH."'>\n <div style='float:left'><img src='".THEME."images/header.png' alt='' /></div><div style='float:right'></div>".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "</td>\n</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='outer-border' align='center'>\n<tr>\n";
	echo "<td align='right' class='sub-header' style='padding:5px'><div style='float:left'>".showsubdate()."</div><div style='float:right'>".showsublinks(" <span class='bullet'>&middot;</span> ","white")."</div></td>\n";
			
	//Content
	echo "<table cellpadding='0' cellspacing='0' class='border' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer

	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	echo "<td colspan='2' align='center' class='footer'><div style='float:left'><br \>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."<br \>".showcounter()."</div>\n";
	echo "<div style='float:right'>".stripslashes($settings['footer'])."\n";
	echo "Revolucion theme by: <a href='http://agrosoft.com.ua/profile.php?lookup=3' target='_blank' class='white' title='Revolucion theme by kot2007'>kot2007</a>, <a href='http://retromusic.te.ua/profile.php?lookup=1' target='_blank' class='white'>Frankenstein</a><br \>\n";
	echo "Powered by <a href='http://www.php-fusion.co.uk' target='_blank' title='' class='white'>PHP-Fusion</a> copyright &copy; 2002 - ".date("Y")." by Nick Jones.\n";
	echo "<br />Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html' target='_blank' title='' class='white'>GNU Affero GPL</a> v3.</div>\n</td>\n</tr>\n";
	echo "</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain' align='center'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo "<div style='float:left'>".newsposter($info," &middot;")."</div><div style='float:right'>".newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</div>\n";
	echo "</td></tr>\n<tr><td height='5'></td></tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='center' class='capmain'>".$title."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n</tr>\n<tr><td height='5'></td></tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='border'>\n<tr>\n";
	echo "<td align='center' class='scapmain'>".$title."</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state,$boxname)."</td>\n";
	}
	echo "</tr>\n<tr>\n";
	echo "<td".($collapse == true ? " colspan='2'" : "")." class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td height='5'></td>\n</tr>\n</table>\n";

}
?>